Package fr.gouv.vitam.metadata.core.reconstruction.model

# Class PurgedPersistentIdentifier.Builder

java.lang.Object
fr.gouv.vitam.metadata.core.reconstruction.model.PurgedPersistentIdentifier.Builder

Enclosing class:
  `PurgedPersistentIdentifier`

public static class PurgedPersistentIdentifier.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `lastPersistentDate`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PurgedPersistentIdentifier`
  `build()`
  `PurgedPersistentIdentifier.Builder`
  `setArchivalAgencyIdentifier(String archivalAgencyIdentifier)`
  `PurgedPersistentIdentifier.Builder`
  `setId(String id)`
  `PurgedPersistentIdentifier.Builder`
  `setLastPersistentDate(String lastPersistentDate)`
  `PurgedPersistentIdentifier.Builder`
  `setObjectGroupId(String objectGroupId)`
  `PurgedPersistentIdentifier.Builder`
  `setOperationId(String operationId)`
  `PurgedPersistentIdentifier.Builder`
  `setOperationLastPersistentDate(String operationLastPersistentDate)`
  `PurgedPersistentIdentifier.Builder`
  `setOperationType(String operationType)`
  `PurgedPersistentIdentifier.Builder`
  `setPersistentIdentifier(List<PersistentIdentifierModel> persistentIdentifiers)`
  `PurgedPersistentIdentifier.Builder`
  `setTenant(Integer tenant)`
  `PurgedPersistentIdentifier.Builder`
  `setType(String type)`
  `PurgedPersistentIdentifier.Builder`
  `setVersion(Integer version)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### lastPersistentDate

    public String lastPersistentDate

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### setId

    public PurgedPersistentIdentifier.Builder setId(String id)

  - ### setTenant

    public PurgedPersistentIdentifier.Builder setTenant(Integer tenant)

  - ### setPersistentIdentifier

    public PurgedPersistentIdentifier.Builder setPersistentIdentifier(List<PersistentIdentifierModel> persistentIdentifiers)

  - ### setVersion

    public PurgedPersistentIdentifier.Builder setVersion(Integer version)

  - ### setObjectGroupId

    public PurgedPersistentIdentifier.Builder setObjectGroupId(String objectGroupId)

  - ### setArchivalAgencyIdentifier

    public PurgedPersistentIdentifier.Builder setArchivalAgencyIdentifier(String archivalAgencyIdentifier)

  - ### setType

    public PurgedPersistentIdentifier.Builder setType(String type)

  - ### setLastPersistentDate

    public PurgedPersistentIdentifier.Builder setLastPersistentDate(String lastPersistentDate)

  - ### setOperationId

    public PurgedPersistentIdentifier.Builder setOperationId(String operationId)

  - ### setOperationType

    public PurgedPersistentIdentifier.Builder setOperationType(String operationType)

  - ### setOperationLastPersistentDate

    public PurgedPersistentIdentifier.Builder setOperationLastPersistentDate(String operationLastPersistentDate)

  - ### build

    public PurgedPersistentIdentifier build()